Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.charts
Class CombinedBuildSummaryByBuildChart

    java.lang.Object
      com.atlassian.bamboo.charts.AbstractBambooChart
          com.atlassian.bamboo.charts.CombinedBuildSummaryByBuildChart

All Implemented Interfaces:
  ChartBuilder

    public class CombinedBuildSummaryByBuildChart

extends AbstractBambooChart

Field Summary

Fields inherited from class com.atlassian.bamboo.charts.AbstractBambooChart
`chartTitle, contextPath, height, shortUrlUsed, width, xAxisLabel, yAxisLabel`

Constructor Summary
`CombinedBuildSummaryByBuildChart(int height, int width, String chartTitle, String xAxisLabel, String yAxisLabel, Build build, List filteredResults)`

Method Summary
`Map` | `generateChartParams()`

Methods inherited from class com.atlassian.bamboo.charts.AbstractBambooChart
`generateChartImage, generateChartImage, generateRandomMapName, getChartTitle, getContextPath, getHeight, getWidth, getxAxisLabel, getyAxisLabel, isShortUrlUsed, setChartTitle, setContextPath, setHeight, setShortUrlUsed, setWidth, setxAxisLabel, setyAxisLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CombinedBuildSummaryByBuildChart

    public CombinedBuildSummaryByBuildChart(int height,
                                            int width,
                                            String chartTitle,
                                            String xAxisLabel,
                                            String yAxisLabel,
                                            Build build,
                                            List filteredResults)

Method Detail

### generateChartParams

    public Map generateChartParams()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.